unitd(8)

Name
unitd - runs the NGINX Unit daemon

Synopsis
unitd [- -no-daemon] [- -control socket] [- -group name] [- -user name] [- -log file] [- -modulesdir directory] [- -pid file] [- -statedir directory]
unitd [-h | - -help | - -version]

Description
NGINX Unit is a polyglot app server, a reverse proxy, and a static file server for UNIX-like systems. It was built by nginx(8) team members from scratch to be highly efficient and fully configurable at runtime.

Options

-h, - -help
    Displays a summary of Unit's command-line options and their compile-time defaults.

- -version
    Displays Unit's version and the ./configure settings it was built with.

- -no-daemon
    Runs Unit in non-daemon mode.

- -control socket
    Overrides the control API's socket address in IPv4, IPv6, or UNIX-domain format.

- -group name, - -user name
    Override group name and user name used to run Unit's non-privileged processes.

- -log file
    Overrides the pathname for Unit's log.

- -modulesdir directory
    Overrides the directory path for Unit's language modules (*.unit.so) files.

- -pid file
    Overrides the pathname for the PID file of Unit's main process.

- -statedir directory
    Overrides the directory path for Unit's state storage.

Exit status
Exit status is 0 on success, or 1 if the daemon encounters an error.

Files

%%PID_PATH%%
    The PID file of Unit's main process.

%%ERROR_LOG_PATH%%
    A general-purpose log for diagnostics and troubleshooting.

Sockets

%%SOCKET_PATH%%
    The socket address of Unit's control API.

Copyright
(C) 2017-2023, NGINX, Inc.

SPDX-License-Identifier: Apache-2.0

See also
Website: https://unit.nginx.org

User mailing list: https://mailman.nginx.org/mailman/listinfo/unit

GitHub: https://github.com/nginx/unit